CanvasStyleManagerInternal::State Struct Reference

Internal: the state of a CanvasStyleManager. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

MWAWInputStreamPtr | m_input
| the main input
std::vector< MWAWColor > | m_colors
| the colors
std::vector< MWAWGraphicStyle::Pattern > | m_patterns
| the patterns

## Detailed Description

Internal: the state of a CanvasStyleManager.

## Constructor & Destructor Documentation

## State()

CanvasStyleManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_colors

std::vector<MWAWColor> CanvasStyleManagerInternal::State::m_colors

the colors

Referenced by State().

## m_input

MWAWInputStreamPtr CanvasStyleManagerInternal::State::m_input

the main input

Referenced by State().

## m_patterns

std::vector<MWAWGraphicStyle::Pattern> CanvasStyleManagerInternal::State::m_patterns

the patterns

Referenced by State().

The documentation for this struct was generated from the following file:

- CanvasStyleManager.cxx